library(kmerclust)
library(tidyverse)
args <- commandArgs(trailingOnly = TRUE)
print(args)
load(file = paste0(args[1], ".Rdata"))
res <- count %>%
  dplyr::select(count_m, count_f) %>%
  mutate(
    count_m = round(count_m),
    count_f = round(count_f)
  ) %>%
  dplyr::filter(count_m + count_f > 0) %>%
  as.matrix() %>%
  poiss_compare_models(count, nboot = as.numeric(args[2]) * 2, nbatch = 100, max_iter = 1e4, bootsize = 1, core = as.numeric(args[2]))
save(res, file = paste0(args[1], "_boot_", args[3], ".Rdata"))

