library(kmerclust)
library(vroom)

args <- commandArgs(trailingOnly = TRUE)
data <- vroom::vroom(args[2], show_col_types = FALSE)
format(object.size(data), units = "Mb")
annotation <- parse_annotation(args[1])
count <- annotate_counts(annotation, data, args[3]) %>% dplyr::ungroup() %>% dplyr::select(-c("files"))
format(object.size(count), units = "Mb")
save(count, file = paste0(args[3], ".Rdata"))
